//JEI Hide
const jei_to_hide = [
    'titanium:iron_gear',
    'titanium:gold_gear',
    'titanium:diamond_gear'
]

onEvent('jei.hide.items', event => {
    for (i of jei_to_hide){
        event.hide(i)
    }
})

//JEI Hide by category
const jei_crafting_category_to_hide = [
    'ars_nouveau:apprentic_book_dye',
    'ars_nouveau:archmage_book_dye',
    'refinedstorage:coloring_recipes/controller'
    ]
    onEvent('jei.hide.recipes', event => {
        for (c of jei_crafting_category_to_hide){
            event.remove('minecraft:crafting',(c)
            )}
        })
        onEvent('jei.remove.recipes', event => {
        event.forEachRecipe({}, r => {
            console.log(recipe.getId());
         });
        })